Subject: RE: Re: Keys do not release when using Emacs in X2GO Client

From: <[email-masked]>
Date: Thu, 16 Apr 2026 19:51:55 +0100

I realised I can just set the external X server to be the vcxsrv that ships
with x2go client, and then use the ‘-noprimary’ flag (in addition to any
other defined flags e.g. I have

From: [email-masked] <[email-masked]> 
Sent: 18 January 2026 12:10
To: [email-masked]' <[email-masked]>
Subject: Re: Keys do not release when using Emacs in X2GO Client

On Mon, 3 May 2021 16:49:44 +0000 "Kruis, Anselm" <[email-masked]
<mailto:[email-masked]> > wrote: 
> Hi, 
> 
> I observed the bug described in this thread and did some experiments with
Uli Sibiller. 
> 
> Client: 
> - Windows 10 Enterprise, Version 1909 
> - X2GoClient V. 4.1.2.2 
> Additional X-Servers on Client 
> - VcXsrv 1.20.6.0 
> - VcXsrv 1.20.9.0 
> - MobaXterm 21.1.0.4628 
> 
> Server: 
> - Centos 7 
> - nxagent-3.5.99.26-1.el7.x86_64  (and also an experimental version
nx-3.5.99-sc36clipboard3) 
> - x2goserver-4.1.0.3-9.el7.x86_64 
> - x2goagent-4.1.0.3-9.el7.x86_64 
> - x2goserver-common-4.1.0.3-9.el7.noarch 
> - x2goserver-xsession-4.1.0.3-9.el7.noarch 
> 
> X2go Session: application, terminal emulator (konsole), X-server with
option -multiwindow 
> 
> We tried various combinations of parameters and program versions.
Findings: 
> 
> - The problem only occurs with VcXserv (all versions, the one integrated
in X2GoClient as well as two stand alone versions). With the X-server
provided by MobaXterm
(%USERPROFILE%\Documents\MobaXterm\slash\bin\XWin_MobaX.exe) everything in
fine.

> 
> - The problem depends on the following VcXserv  command line options: 
>    + option "-r": it turns of keyboard auto-repeat. If auto-repeat is off,
the problem does not occur 
>    + option "-clipboard": without this option, the problem does not occur 
>    + option "-noprimary": with this option, the problem does not occur 
> 
> So adding "-noprimary" to the VcXserv options or using XWin_MobaX.exe
seems to be the way to go for now. 
> 
> Regards 
>   Anselm 
> 
> -- 
> Anselm Kruis 
> Senior Solution Architect 
> MSE OPS HPCS S PS 
> T +49-89-35 63 86-874 
> M +49-16 05 82 82 00 
> [email-masked] <mailto:[email-masked]>  
> science + computing ag 
> Ingolstädter Str. 22 
> 80807 München, Germany 
> atos.net/de/deutschland/sc 
> 
> science + computing AG; Vorstand: Dr. Martin Matzke (Vorsitzender), Sabine
Hohenstein, matthias Schempp; Vorsitzender des Aufsichtsrats: Philippe
Robert Jonas Miltin; Sitz der Gesellschaft: Tübingen; Registergericht:
Amtsgericht Stuttgart, HRB 382196.

It would be useful to known how to implement “adding "-noprimary" to the
VcXserv options” since when I attempted to add “-noprimary” to the vcserv
serve custom command line under X2Go->Settings when I restart x2go it now
_immediately_ crashes with “can’t start x.org.server” making my x2go setup
completely useless